LArSoft - Bug #11357

Event display crash for sbnd
01/06/2016 03:58 PM - Hector Mendez

Status: Closed Start date: 01/06/2016
Priority: Normal Due date:

Assignee: Gianluca Petrillo % Done: 100%
Category: Event Display Estimated time: 12.00 hours
Target version: v05_00_00 Spent time: 4.00 hours
Occurs In: v05_00_00 Co-Assignees:

Experiment: SBND

Description

lar -c evd_larind.fcl gen_10evts_single_0deg_100x_100y_10z_0sig_tst06.root
then the message:

Begin processing the 1st record. run: 1 subRun: 0 event: 1 at 06-Jan-2016 15:33:35 CST
%MSG-w InfoTransfer: PostSource 06-Jan-2016 15:33:35 CST run: 1 subRun: 0 event: 1
failed to get handle to std::vector<recob::Hit> from ffthit

%MSG

TimeModule> run: 1 subRun: 0 event: 1 evdisp EVD 3.09944e-05

TimeEvent> run: 1 subRun: 0 event: 1 0.000620842

MCTruth Ptcl trackID PDG P T Moth Process
0 0 -1 #mu 5999 5895 -1 primary

Note: Momentum, P, and kinetic energy, T, in MeV/c
terminate called without an active exception

Aborted

I'm using larsoft v05_00_00_rc1 and my data is at:

/lar1nd/app/users/mendez/myTest/GenRec

My working are is at:
/larind/app/users/mendez/larsoft_v05_00_00_rc1

| created the gen file running:
source runAll_txt.sh gen at /larind/app/mendez/myTest

My setup is at: /larind/app/mendez/setup_lar.sh

History

#1 - 01/06/2016 04:09 PM - Lynn Garren

Thank you for being the first person to test our release candidate!

#2 - 01/08/2016 12:49 PM - Gianluca Petrillo
- Status changed from New to Assigned

- Assignee set to Gianluca Petrillo

#3 - 01/08/2016 01:15 PM - Gianluca Petrillo

Could you push in a branch the changes to larindcode that are not included in the official branch?

| went as far as getting a:

terminate called after throwing an instance of 'cet::coded_exception<art::errors::ErrorCodes, &art::ExceptionD
etail::translate>"

what () : —-——— ServiceNotFound BEGIN
Service wunable to find requested service with compiler type name 'lariov::ChannelStatusService'.
———- ServiceNotFound END

that we had already solved.

#4 - 01/08/2016 06:38 PM - Gianluca Petrillo
- Target version set to v05_00_00

- % Done changed from 0 to 40
- Estimated time set to 12.00 h

Hector has pushed the changes | asked into branch hmendez_bugsfixed of lar1ndcode.

| can't reproduce the exact problem, but | do find that SBND code is still behind in the update to a modern LArSoft (even 4.30).
| have updated some of the configuration, my changes pushed in the same branch.

| can now see the display.

TPC 0 is completely empty, TPC 1 shows activity only in collection plane.

Next is to check if there are non-empty raw digits for induction planes.

It might be a problem with pedestals. Or not.

| would also like to add geometry tests, that include a channel-to-wire mapping dump that would turn useful.
Hector, please try it again if you have time. At the very least, you should see the event display window show.
#5 - 01/11/2016 06:50 PM - Gianluca Petrillo

- Status changed from Assigned to Resolved

The problem described in the ticket is solved: SBND event display now shows up on screen and there are no issues attributed to the event display.
The fixes are in Hector Mendez's dunetpc branch hmendez_bugsfixed.

Problems persist, related to the signal simulation on the wires. But that's another problem completely.

#6 - 01/11/2016 06:51 PM - Gianluca Petrillo
- % Done changed from 40 to 100

#7 - 01/14/2016 10:46 AM - Gianluca Petrillo
- Experiment SBND added
- Experiment deleted (-)

(we have a new "SBND experiment" options! thank you Marc)

#8 - 10/03/2016 10:15 AM - Gianluca Petrillo

- Status changed from Resolved to Closed
